* {
  margin: 0;
  padding: 0;
  overflow: hidden;
}

.botao {
  font-family: "trebuchet ms";
  font-weight: bold;
  color: #14396a !important;
  font-size: 30px;
  text-shadow: 4px 2px 10px #7cacde;
  box-shadow: 2px 10px 10px #bee2f9;
  padding: 19px 25px;
  border-radius: 23px;
  border: 3px solid #3866a3;
  background: #87ceeb;
  background: linear-gradient(to top, #87ceeb, #32cfb0);
  position: absolute;
  top: 45%;
  right: 43%;
  opacity: 0;
}

.botao:hover {
  color: #14396a !important;
  background: #468ccf;
  background: linear-gradient(to top, #468ccf, #63b8ee);
}

.pause {
  background-color: #87ceeb;
  outline: 10px;
  width: 40px;
  height: 40px;
  margin-left: 40px;
}

.game-board {
  width: 100%;
  height: 870px;
  border-bottom: 100px solid rgb(35, 160, 35);
  margin: 0 auto;
  position: relative;
  overflow: hidden;
  background: linear-gradient(#87ceeb, #e0f6ff);
}

.pipe {
  position: absolute;
  bottom: 0;
  width: 80px;
  animation: pipe-animation 1.5s infinite linear;
}

.mario {
  width: 150px;
  position: absolute;
  bottom: 0;
}

.jump {
  animation: jump 500ms ease-out;
}

.clouds {
  position: absolute;
  width: 550px;
  animation: clouds-animation 20s infinite linear;
}

@keyframes pipe-animation {
  from {
    right: -80px;
  }

  to {
    right: 100%;
  }
}

@keyframes jump {
  0% {
    bottom: 0;
  }

  40% {
    bottom: 180px;
  }

  50% {
    bottom: 180px;
  }

  60% {
    bottom: 180px;
  }

  100% {
    bottom: 0;
  }
}

@keyframes clouds-animation {
  from {
    right: -550px;
  }
  to {
    right: 100%;
  }
}
